From: "Caroline M. Paxson" <[email-masked]>
Date: Wed, 08 Dec 1993 15:49:04 -0800

You write

>how do i retrieve the entire tuple the func1(EMP) returns

Unfortunately there is no way to do this in Postgres yet.  You can't
currently assign an entire tuple to an instance variable (like your "ds"
variable).  We are working on a solution for the next release.  In the
meantime, you will have to run the function multiple times, i.e.

retrieve (E.all, ds = name(func1(E)), dx = salary(func1(E)))
       from E in EMP
       where E.id = "100"

This assumes there is only one employee with id = 100.  All bets are
off otherwise.

Carol Paxson
Postgres group
U.C. Berkeley